<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'cache', language 'fi', version '2.4'.
 *
 * @package     cache
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Toiminnot';
$string['addinstance'] = 'Lisää instanssi';
$string['addstore'] = 'Lisää {$a} varasto';
$string['addstoresuccess'] = 'Uuden {$a} varaston lisäys onnistui.';
$string['area'] = 'Kohde';
$string['cacheadmin'] = 'Välimuistin hallinta';
$string['cacheconfig'] = 'Kokoonpano';
$string['cachedef_databasemeta'] = 'Tietokannan metatietoa';
$string['cachedef_eventinvalidation'] = 'Tapahtuman mitätöinti';
$string['cachedef_htmlpurifier'] = 'HTML-puhdistaja - puhdistettu sisältö';
$string['cachedef_locking'] = 'Lukitus';
$string['cachedef_questiondata'] = 'Kysymysten määritykset';
$string['cachedef_string'] = 'Kielen välimuisti';
$string['cachelock_file_default'] = 'Tiedostojen lukituksen oletus';
$string['cachestores'] = 'Välimuistit';
$string['caching'] = 'Välimuistiin tallennus';
$string['component'] = 'Komponentti';
$string['confirmstoredeletion'] = 'Varmista tallennettujen tietojen poisto';
$string['default_application'] = 'Oletusmuisti sovelluksille';
$string['default_request'] = 'Oletustallennuspaikka';
$string['default_session'] = 'Oletustallennuspaikka sessioille';
$string['defaultmappings'] = 'Käytetyt varastot, kun kartoitus puuttuu';
$string['defaultmappings_help'] = 'Nämä ovat oletusvarastoja, joita käytetään, jos et yhdistä yhtä tai useampaa varastoa välimuistimääritykseen.';
$string['defaultstoreactions'] = 'Oletustallennuspaikkaa ei voi muokata';
$string['definition'] = 'Määritelmä';
$string['definitionsummaries'] = 'Tiedetyt välimuistien määritelmät';
$string['delete'] = 'Poista';
$string['deletestore'] = 'Poista tallennuspaikka';
$string['deletestoreconfirmation'] = 'Haluatko varmasti poistaa "{$a}"-tallennuspaikan?';
$string['deletestorehasmappings'] = 'Et voi poistaa tätä varastoa, koska siinä on kartoituksia. Poista kaikki kartoitukset ennen varaston poistamista';
$string['deletestoresuccess'] = 'Onnistuneesti poistettu välimuistin tallennuspaikka';
$string['editdefinitionmappings'] = '{$a} määritelmävaraston kartoituksia';
$string['editmappings'] = 'Muokkaa mappauksia';
$string['editstore'] = 'Muokkaa tallennuspaikkaa';
$string['editstoresuccess'] = 'Välimuistin muokkaus onnistui.';
$string['ex_configcannotsave'] = 'Välimuistin konfiguraatiota ei voi tallentaa tiedostoon.';
$string['ex_nodefaultlock'] = 'Oletuslukituskohdetta ei löydy.';
$string['ex_unabletolock'] = 'Välimuistin lukituksen hankkiminen ei onnistu.';
$string['ex_unmetstorerequirements'] = 'Et voi käyttää tätä varastoa tällä hetkellä. Katso sen vaatimukset dokumentaatiosta.';
$string['gethit'] = 'Hae - Osuma';
$string['getmiss'] = 'Hae - Ei löytynyt';
$string['inadequatestoreformapping'] = 'Tämä varasto ei täytä kaikkien tunnettujen määritelmien vaatimuksia. Määritelmille, joille tämä varasto ei riitä, annetaan alkuperäinen oletusvarasto valitun varaston sijaan.';
$string['invalidplugin'] = 'Epäkelpo lisäosa';
$string['invalidstore'] = 'Virheellinen välimuisti';
$string['lockdefault'] = 'Oletus';
$string['lockname'] = 'Nimi';
$string['locksummary'] = 'Yhteenveto välimuistin lukituskohteista.';
$string['lockuses'] = 'Käyttää';
$string['mappingdefault'] = '(oletus)';
$string['mappingfinal'] = 'Lopullinen tallennuspaikka';
$string['mappingprimary'] = 'Ensisijainen tallennuspaikka';
$string['mappings'] = 'Tallennuspaikkojen mappaukset';
$string['mode'] = 'Tila';
$string['mode_1'] = 'Sovellus';
$string['mode_2'] = 'Sessio';
$string['mode_4'] = 'Pyyntö';
$string['modes'] = 'Tilat';
$string['nativelocking'] = 'Tämä lisäosa hoitaa oman lukituksensa.';
$string['none'] = 'Ei mitään';
$string['plugin'] = 'Lisäosa';
$string['pluginsummaries'] = 'Asennetut välimuistien tallennuspaikat';
$string['purge'] = 'Pura';
$string['purgestoresuccess'] = 'Pyydetty tallenuspaikka on purettu onnistuneesti.';
$string['requestcount'] = 'Testaa {$a} kyselyn kanssa';
$string['rescandefinitions'] = 'Tarkista määritelmät uudelleen';
$string['result'] = 'Tulos';
$string['set'] = 'Aseta';
$string['store_default_application'] = 'Oletustallennuspaikka sovelluksien välimuistille';
$string['store_default_request'] = 'Pyydettyjen välimuistien staattinen oletusvarasto';
$string['store_default_session'] = 'Oletustallennuspaikka kirjautumissessioiden välimuistille';
$string['storeconfiguration'] = 'Tallennuspaikan kokoonpano';
$string['storename'] = 'Tallennuspaikan nimi';
$string['storename_help'] = 'Tämä määrittää varaston nimen. Sitä käytetään varaston tunnistamiseen järjestelmän sisällä ja se voi koostua vain a-z A-Z 0-9 -_ ja välilyönneistä. Sen on myös oltava ainutlaatuinen. Jos yrität käyttää jo käytettyä nimeä, saat virheilmoituksen.';
$string['storenamealreadyused'] = 'Sinun pitää valita yksilöllinen nimi tälle tallennuspaikalle.';
$string['storenameinvalid'] = 'Virheellinen varaston nimi. Voit käyttää vain a-z A-Z 0-9 -_ ja välilyöntejä.';
$string['storenotready'] = 'Tallennuspaikka ei ole valmis';
$string['storeperformance'] = 'Välimuistin tehokkuusraportointi – {$a} yksilöllistä pyyntöä toimintoa kohden.';
$string['storeready'] = 'Valmis';
$string['storerequiresattention'] = 'Vaatii toimenpiteitä.';
$string['storerequiresattention_help'] = 'Tämä varastokohde ei ole valmis käytettäväksi, mutta siinä on kartoituksia. Tämän ongelman korjaaminen parantaa järjestelmän suorituskykyä. Tarkista, että varaston taustaohjelma on valmis käytettäväksi ja että kaikki PHP-vaatimukset täyttyvät.';
$string['storeresults_application'] = 'Tallenna pyynnöt, kun niitä käytetään sovellusvälimuistina.';
$string['storeresults_request'] = 'Tallenna pyynnöt, kun niitä käytetään pyyntövälimuistina.';
$string['storeresults_session'] = 'Tallenna pyynnöt, kun niitä käytetään istuntovälimuistina.';
$string['stores'] = 'Tallennuspaikat';
$string['storesummaries'] = 'Määritetyt varaston esiintymät';
$string['supports'] = 'Tukee';
$string['supports_dataguarantee'] = 'tietojen takuu';
$string['supports_keyawareness'] = 'avaintietoisuus';
$string['supports_multipleidentifiers'] = 'useat tunnisteet';
$string['supports_nativelocking'] = 'lukitus';
$string['supports_nativettl'] = 'ttl';
$string['supports_searchable'] = 'etsitään avaimella';
$string['tested'] = 'Testattu';
$string['testperformance'] = 'Testin suorituskyky';
$string['unsupportedmode'] = 'Ei-tuettu tila';
$string['untestable'] = 'Testaamaton';
