<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_ddmarker', language 'fi', version '2.4'.
 *
 * @package     qtype_ddmarker
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addmoreitems'] = 'Lisää {no} uutta kohde-vaihtoehtoa';
$string['alttext'] = 'Vaihtoehtoinen teksti';
$string['answer'] = 'Vastaus';
$string['bgimage'] = 'Taustakuva';
$string['clearwrongparts'] = 'Palauta väärin asetetut kohteet takaisin aloitussijaintiin kuvan alapuolelle';
$string['correctansweris'] = 'Oikea vastaus on:{$a}';
$string['draggableimage'] = 'Raahattava kuva';
$string['draggableitem'] = 'Raahattava kohde';
$string['draggableitemheader'] = 'Raahattava kohde {$a}';
$string['draggableitemtype'] = 'Tyyppi';
$string['draggableword'] = 'Raahattava teksti';
$string['dropbackground'] = 'Taustakuva jonka päälle kohteet raahataan';
$string['dropzone'] = 'Pudotusalue {$a}';
$string['dropzoneheader'] = 'Pudotusalueet';
$string['followingarewrong'] = 'Seuraavat kohteet ovat asetettu väärille alueille: {$a}.';
$string['followingarewrongandhighlighted'] = 'Seuraavat kohteet on sijoitettu väärin: {$a}. Korostetut kohteet näytetään nyt oikeilla paikoilla.<br /> Korosta sallittu alue klikkaamalla kohdetta.';
$string['formerror_nobgimage'] = 'Sinun on valittava kuva, jota käytetään pudotusalueen taustana.';
$string['formerror_nosemicolons'] = 'Koordinaattien merkkijonossa ei ole puolipisteitä. Koordinaatit muodolle {$a->shape} on ilmaistava muodossa {$a->coordsstring}.';
$string['formerror_polygonmusthaveatleastthreepoints'] = 'Monikulmion muotoon on määritettävä vähintään 3 pistettä. Koordinaatit {$a->shape} on ilmaistava muodossa {$a->coordsstring}.';
$string['infinite'] = 'Rajoittamaton';
$string['marker'] = 'Kohde';
$string['marker_n'] = 'Kohde {no}';
$string['markers'] = 'Kohteet';
$string['nolabel'] = 'Ei tekstiä';
$string['pluginname'] = 'Vedä merkki kuvan päälle';
$string['pluginname_link'] = 'question/type/ddmarker';
$string['pluginnameadding'] = 'Lisätään Vedä merkki kuvan päälle -kysymystä';
$string['pluginnameediting'] = 'Muokataan Vedä merkki kuvan päälle -kysymystä';
$string['pluginnamesummary'] = 'Vedä merkit oikeille paikolle taustakuvaan.';
$string['previewareaheader'] = 'Esikatselu';
$string['previewareamessage'] = 'Valitse taustakuva, määritä raahattavat tekstit ja määrittele pudostualueet';
$string['refresh'] = 'Päivitä esikatselu';
$string['shape'] = 'Muoto';
$string['shape_circle'] = 'Ympyrä';
$string['shape_circle_lowercase'] = 'ympyrä';
$string['shape_polygon'] = 'Monikulmio';
$string['shape_polygon_lowercase'] = 'monikulmio';
$string['shape_rectangle'] = 'Suorakulmio';
$string['shape_rectangle_lowercase'] = 'suorakulmio';
$string['showmisplaced'] = 'Korosta pudotusalueet joihin ei ole raahattu oikeita kohteita';
$string['shuffleimages'] = 'Sekoita raahattavat kohteet jokaisella vastauskerralla';
$string['stateincorrectlyplaced'] = 'Ilmoita, mitkä kohteet ovat väärällä paikalla';
$string['summariseplace'] = '{$a->no}. {$a->text}';
$string['summariseplaceno'] = 'Pudotusalue {$a}';
$string['ytop'] = 'Ylä';
